
From: Jon Smirl <jonsmirl@gmail.com>

radeonfb does not clean up EDID sysfs attribute

Signed-off-by: Jon Smirl <jonsmirl@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/aty/radeon_base.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN drivers/video/aty/radeon_base.c~radeonfb-clean-up-edid-sysfs-attribute drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~radeonfb-clean-up-edid-sysfs-attribute	Wed Jul 13 15:43:12 2005
+++ 25-akpm/drivers/video/aty/radeon_base.c	Wed Jul 13 15:43:12 2005
@@ -2521,6 +2521,11 @@ static void __devexit radeonfb_pci_unreg
  
 	radeonfb_pm_exit(rinfo);
 
+	if (rinfo->mon1_EDID)
+		sysfs_remove_bin_file(&rinfo->pdev->dev.kobj, &edid1_attr);
+	if (rinfo->mon2_EDID)
+		sysfs_remove_bin_file(&rinfo->pdev->dev.kobj, &edid2_attr);
+
 #if 0
 	/* restore original state
 	 * 
_
